POST api/NTSetting/PostTimeZone

Request Information

URI Parameters

None.

Body Parameters

TimeZoneDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Name

string

String length: inclusive between 0 and 150

Value

string

String length: inclusive between 0 and 20

Sequence

integer

None.

Abbreviation

string

String length: inclusive between 0 and 10

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Name": "sample string 2",
  "Value": "sample string 3",
  "Sequence": 4,
  "Abbreviation": "sample string 5",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:25:59.7368333-07:00",
  "DateUpdated": "2026-08-04T14:25:59.7368333-07:00",
  "UserIDCreated": 9,
  "UserIDUpdated": 10,
  "CompanyCode": "sample string 11",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfTimeZoneDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

TimeZoneDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Name": "sample string 2",
    "Value": "sample string 3",
    "Sequence": 4,
    "Abbreviation": "sample string 5",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:59.7368333-07:00",
    "DateUpdated": "2026-08-04T14:25:59.7368333-07:00",
    "UserIDCreated": 9,
    "UserIDUpdated": 10,
    "CompanyCode": "sample string 11",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}